version: '3.8'

networks:
  gitea:
    name: "gitea"
  rproxy_gitea:
    external: true
    name: "rproxy_gitea"
  # adminer_gitea:
  #   external: true
  #   name: "adminer_gitea"

services:
  gitea:
    restart: unless-stopped
    image: gitea/gitea:latest
    container_name: gitea
    volumes:
      - ./gitea-data:/data
    environment:
      TZ: ${TZ:?missing TZ}
      USER_UID: ${USER_UID:?missing USER_UID}
      USER_GID: ${USER_GID:?missing USER_GID}
      APP_NAME: ${APP_NAME:?missing APP_NAME}
      RUN_MODE: ${RUN_MODE:?missing RUN_MODE}
      DOMAIN: ${DOMAIN:?missing DOMAIN}
      ROOT_URL: "https://${DOMAIN:?missing DOMAIN}"
      DB_TYPE: mysql
      DB_HOST: mariadb
      DB_NAME: ${DB_NAME:?missing DB_NAME}
      DB_USER: ${DB_USER:?missing DB_USER}
      DB_PASSWD: ${DB_PASSWORD:?missing DB_PASSWORD}
      DISABLE_REGISTRATION: ${DISABLE_REGISTRATION:?missing DISABLE_REGISTRATION}
    depends_on:
      - mariadb
    networks:
      gitea:
      rproxy_gitea:

  mariadb:
    restart: unless-stopped
    image: ghcr.io/linuxserver/mariadb
    volumes:
      - ./mariadb-config:/config
    environment:
      TZ: ${TZ:?missing TZ}
      PUID: ${PUID:?missing PUID}
      PGID: ${PGID:?missing PGID}
      MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD:?missing MYSQL_ROOT_PASSWORD}
      MYSQL_DATABASE: ${DB_NAME:?missing MYSQL_DATABASE}
      MYSQL_USER: ${DB_USER:?missing MYSQL_USER}
      MYSQL_PASSWORD: ${DB_PASSWORD:?missing MYSQL_PASSWORD}
      # REMOTE_SQL: http://URL1/your.sql,https://URL2/your.sql #optional
    networks:
      gitea:
      # adminer_gitea:
      #   aliases:
      #     - gitea
